As you might be already aware, iOS 5 Beta 6 has just been released. In order to sync iOS 5 Beta 6 devices, however, you’ll need to install iTunes 10.5 Beta 6, which was also seeded to registered Apple developers today.

Continue reading... »